Jump to content

update to 3.0.7300 package failed to start


braddles69
 Share

Go to solution Solved by solabc16,

Recommended Posts

braddles69

Hi, updated my Synology DS3615X emby server package this morning to 3.0.7300 by stopping service and then waiting for package centre to advise update was ready and then pressed update, the download seemed to go ok but when I tried to start the package kept getting "Failed to run the package service".

Any ideas anyone, log is attached available at 

https://drive.google.com/open?id=0B_6qLrpWrZlFTV9wTndsOVd5eWc

Cheers and TIA

Brad

 

PS Is there a way to reinstall the 7200 package?

Edited by braddles69
Link to comment
Share on other sites

solabc16

Hello @@braddles69

 

Sorry to hear you're having a problem with the 3.0.7300 update, can you run the following two procedures and I'll take a look and see what is going on:-

 

https://github.com/MediaBrowser/Wiki/wiki/Synology-:-How-to-Run-Diagnostics

 

https://github.com/MediaBrowser/Wiki/wiki/Synology-:-How-to-Send-us-Support-Logs

 

- James

Link to comment
Share on other sites

braddles69

Thanks but when I SSH in and using explorer window I select command terminal and ask for the rundiags, I get a timeout as no response within 15 secs...looking in environement to change buffer size but can't find it...

Link to comment
Share on other sites

braddles69

Using WinSCP and the terminal console it says not to execute a command that requires user input...should I use Putty to SSH in?

Link to comment
Share on other sites

braddles69

Sorry, now getting a putty network error software caused connection abort...can't even get in....may not have chance tonight

Anyway to uninstall and then reinstall the 7200 package?

Link to comment
Share on other sites

braddles69

Okay, had trouble with putty, and then managed to lock myself out of the box..., logged in from 4g connection to unblock myself...and then got the logs as per

 

 https://drive.google.com/open?id=0B_6qLrpWrZlFaGJrSGRuQVBMZkk

 

hope this helps.

Cheers

 

Edit: The hardware is an inetl pentium g3258 with gigabyte B85N Phoenix mobo

Edited by braddles69
Link to comment
Share on other sites

solabc16

Thanks, did you manage to run the send logs procedure - the second of the two links above?

 

Can you confirm what processor you have in the box you're running XPEnology on.

 

- James

Link to comment
Share on other sites

braddles69

No, failed to create the log archive, said no such path or directory existed, and the processor is a intel pentium g3258

Thanks

Link to comment
Share on other sites

solabc16

Hello @@braddles69

 

A quick update for you. Starting with stable 3.0.7300, the Synology packages contain platform optimised binaries for Intel based machines.

 

This has been available on the Synology beta channel for a few releases now.

 

The challenge is that XPEnology boxes do not provide anything that differentiates them from 'real' Synology hardware, they use the same platform identifier "synology_bromolow_3615xs".

 

Unlike when running on Synology hardware, an XPEnology instance with this identifier could be running on a wide variety of processors.

 

The specific issue here, is that the Synology hardware in this case would contain either an Intel Xeon E3-1230 v2 or Core i3-4130 processor. Both of these processors support AVX, whereas the G3258 does not, they are all however based on the Haswell microarchitecture.

 

I'm working on a solution now and will post a fix later in the day, thanks for your patience.

 

- James

Link to comment
Share on other sites

braddles69

Thanks James, Appreciate your help on this. If it helps at all my console info reports as i3-4310.

Regards Brad

Link to comment
Share on other sites

  • Solution
solabc16

Hello @@braddles69

 

I (hopefully) have a fix available now. If you can update you Emby LLC package source in Package Center to the following:-

https://synology.emby.media/?package_repository=360efc6e-de72-4073-b603-2bfbd7001586

Once back in Package Center manually refresh, following which you should then be offered the 3.0.7300-2 update.

 

Let me know how you get on with that version installed...

 

Best

- James

 

NOTE: For anybody else reading, this is for XPEnology based systems only!

Edited by solabc16
  • Like 1
Link to comment
Share on other sites

braddles69

Thanks James worked like a treat! All back to normal. Appreciate your help.

Regards, Brad

Link to comment
Share on other sites

solabc16

Hi Brad

 

Thanks for the feedback, glad to hear all is now working well again.

 

This will be a permanent change for XPEnology systems, so you can leave the updated package source in place. I'll update the website in the next couple of days.

 

- James

Link to comment
Share on other sites

braddles69

Hey James, Updated to the new 3.0.8100-1, and the same thing has happened. Service is failing to start. Any ideas? Could I rollback?

Thanks Brad

Link to comment
Share on other sites

solabc16

...I don't see the any logs uploaded, did you get a reference when the send logs process completed?

 

- James

Edited by solabc16
Link to comment
Share on other sites

braddles69

Yes still using the package source as above, do you want me to sendlogs again...didn't notice if these was a reference.

Cheers Brad

Link to comment
Share on other sites

Create an account or sign in to comment

You need to be a member in order to leave a comment

Create an account

Sign up for a new account in our community. It's easy!

Register a new account

Sign in

Already have an account? Sign in here.

Sign In Now
 Share

×
×
  • Create New...